ST_Retile
Prev | 12.3. Raster Constructors | Next

## Name

ST_Retile — Return a set of configured tiles from an arbitrarily tiled raster coverage.

## Synopsis

`setof raster ST_Retile(`regclass tab, name col, geometry ext, float8 sfx, float8 sfy, int tw, int th, text algo='NearestNeighbor'`)`;

## Description

Return a set of tiles having the specified scale (`sfx`, `sfy`) and max size (`tw`, `th`) and covering the specified extent (`ext`) with data coming from the specified raster coverage (`tab`, `col`).

Algorithm options are: 'NearestNeighbor', 'Bilinear', 'Cubic', 'CubicSpline', and 'Lanczos'. Refer to: GDAL Warp resampling methods for more details.

Availability: 2.2.0

## See Also

ST_CreateOverview

Prev | Up | Next
ST_Tile | Home | ST_FromGDALRaster